<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="tipo_materias.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="tipo_materias.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  


	
// Para tomar los datos del alumno
// Cargo los datos de los Alumnos.

   mysql_select_db($database_conn, $conn);
   mysql_query ("SET NAMES 'utf8'");
  

   $sql_programas = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
   $rst_programas = mysql_query($sql_programas, $conn) or die(mysql_error());
   $row_programas = mysql_fetch_assoc($rst_programas);
  
	
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- inscripciones por alumno</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .style2 {
	color: #004080;
	font-family: Arial;
	font-size: 16px;
}
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<script>
$(document).ready(function(){
	$("#id_programa").change(function(){
		$.post("carga_mencion1.php",{ id:$(this).val() },function(data){$("#tipo_materias").html(data);})
	});
})
</script>


<!-- <script>
$(document).ready(function(){
	$("#id_programa").change(function(){
		$.post("carga_pensum1.php",{ id:$(this).val() },function(data){$("#pensum").html(data);})
	});
})
</script> -->


<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Gesti&oacute;n de Planes de Estudio </h2></td></tr>
<tr><td class="hr">Todos los datos son obligatorios</td></tr>
</table>
<form name="form1" method="post" onSubmit="return validar_datos()">
  <table width="80%" border="0" align="center" id="carga" cellpadding="1" cellspacing="5" style="border:1px solid #ccc;">
    
		
    
        <tr>
          <td width="570" height="34"><div align="center">Carrera:
              <select name="id_programa" id="id_programa">
                <option value="0" >SELECCIONE...</option>
                <?php
do {  
?>
                <option value="<?php echo $row_programas['id_carrera']?>"><?php echo $row_programas['nombre_carrera']?></option>
                <?php
} while ($row_programas = mysql_fetch_assoc($rst_programas));
  $rows = mysql_num_rows($rst_programas);
  if($rows > 0) {
      mysql_data_seek($rst_programas, 0);
	  $row_programas = mysql_fetch_assoc($rst_programas);
  }
?>
                </select>
&nbsp;&nbsp;&nbsp;Pensum:
<select name="pensum" id="pensum">
  <option value="0" >SELECCIONE...</option>
   <option value="6-O" >6 (ORIGINAL)</option>
    <option value="6" >6 (ADECUADO)</option>
	<option value="7" >7 (ADECUADO)</option>
</select>
          </div></td>
        </tr>
        <tr>
          <td height="34"><div align="center">Menci&oacute;n o Componente:
              <select name="tipo_materias" id="tipo_materias">
                <option value="0" >SELECCIONE...</option>
				<option value="CIU" >CIU</option>
				<option value="CG" >COMPONENTE GENERAL</option>
              </select>
          </div></td>
        </tr>
    <tr>
      <td height="34"><div align="center">
        <label>
        <input name="Enviar" type="Button" id="Enviar" value="Gestionar" onClick="return validar_datos()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	function validar_datos()
	{

		if(document.form1.id_programa.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_programa.focus();
			return false;
			}
		if(document.form1.pensum.value==0){
			alert("El campo <<Pensum>> es obligatorio");
			document.form1.pensum.focus();
			return false;
			}	
		if(document.form1.tipo_materias.value==0){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.tipo_materias.focus();
			return false;
			}		
		
		window.document.location="materias.php?a=reset"+"&id_carrera="+document.form1.id_programa.value+"&pensum="+document.form1.pensum.value+"&tipo_materias="+document.form1.tipo_materias.value;
	}
	
</script>



 <?php

mysql_free_result($rst_programas);


function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
?>


